from torch import cat

import settings
from helpers.soc_comm import ServerBuffer


class ServerBufferManager:

    def __init__(self):
        self.buffers = [ServerBuffer(rport=settings.SOCKET_SERVER_PORT_ACC, sport=settings.SOCKET_CLIENT_PORT_ACC,
                                     name="Accelerometer"),
                        ServerBuffer(rport=settings.SOCKET_SERVER_PORT_FRC, sport=settings.SOCKET_CLIENT_PORT_FRC,
                                     name="Force"),
                        ServerBuffer(rport=settings.SOCKET_SERVER_PORT_PCM, sport=settings.SOCKET_CLIENT_PORT_PCM,
                                     name="PC Monitor")]

    def take_forward(self):
        results = []
        for buffer in self.buffers:
            # print("Taking data from client {}".format(buffer.name))
            data = buffer.take()

            # If we are receiving labels
            if len(data) == 2:
                results = data
            else:
                results.append(data)
        return results

    def send_backward(self, X):
        for i in range(3):
            self.buffers[i].send(X[i].grad.data)
