from torch.utils.data import DataLoader

from data.cabackend import Cabackend
from helpers.tf_soc_comm import TfClientBuffer
from models.tf_client import PlsWorkModel

if __name__ == "__main__":
    BATCH_SIZE = 8192

    cabackend = Cabackend(split=[0.70, 0.15, 0.15], data_path="data/cabackend/")
    train_data, validation_data, test_data = cabackend.get_lstm_data()
    train_loader = DataLoader(
        train_data, batch_size=BATCH_SIZE, shuffle=True, drop_last=False
    )
    valid_loader = DataLoader(
        validation_data, batch_size=BATCH_SIZE, shuffle=False, drop_last=False
    )
    test_loader = DataLoader(
        test_data, batch_size=BATCH_SIZE, shuffle=False, drop_last=False
    )
    server_buffer = TfClientBuffer()
    model = PlsWorkModel(train_loader, valid_loader, test_loader, server_buffer)
    model.train()
