set term postscript eps enhanced color
set output "figures/user_acc.eps"
set datafile separator ','

# Give the bars a plain fill pattern, and draw a solid line around them.
set key at 7600, 0.25 vertical Left enhanced autotitle columnhead nobox

set xlabel "Time [s]" font ",20"
set xrange [0:7700]

set ylabel "User Accuracy [%]" font ",20"
set yrange [0.1:1]
set grid y

set size 1,0.7

linewidth = 7

# Plot user accuracies
plot 'csv/user_acc_proc.csv' using 1:2 with lines lw linewidth lc rgb "#4A8FE7" dashtype 1, \
     '' using 1:3 with lines lw linewidth lc rgb "#EB5E28" dashtype 5

# Plot task accuracies
set output "figures/task_acc.eps"

set ylabel "Sensitive Feature Accuracy [%]" font ",20"
# Vertical lines
set arrow from 4175, graph 0 to 4175, graph 1 nohead lw linewidth lc rgb "#7C0B2B" dashtype 1
# set arrow from 4900, graph 0 to 4900, graph 1 nohead lw linewidth lc rgb "#EB5E28" dashtype 5


plot 'csv/task_acc_proc.csv' using 1:2 with lines lw linewidth lc rgb "#4A8FE7" dashtype 1, \
     '' using 1:3 with lines lw linewidth lc rgb "#EB5E28" dashtype 5
