set term postscript eps enhanced color
set output "figures/timings.eps"
set datafile separator ','

# Give the bars a plain fill pattern, and draw a solid line around them.
set key at 900, 145 vertical Left  noenhanced autotitle columnhead nobox
set logscale x
set xlabel "Network Speed [Mbit/s]" font ",20"

set ylabel "Running Time [s]" font ",20"
# set yrange [0.1:1]
set grid y

set size 1,0.7

linewidth = 5
pointstyle = 2

# Plot user accuracies
plot 'csv/timings.csv' using 1:2 with linespoints ls pointstyle lw linewidth lc rgb "#4A8FE7" dashtype 5,\
     '' using 1:4 with linespoints ls pointstyle lw linewidth lc rgb "#EB5E28" dashtype 1
